Project

General

Profile

Bug #41670

Fix "list index out of range" error when listing plugins installed in a previous version

Added by Chris Z about 2 years ago. Updated almost 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Installed Plexmediaserver (Plexpass) as a plugin via new GUI on 11.2BETA1, after upgrading to 11.2BETA2 when I try to go to the installed plugins tab via the new GUI, I receive the following error:

list index out of range
Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 278, in list_resource
    resource_list = iocage.list("all", plugin=True)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 1144, in list
    exit_on_error=self.exit_on_error).list_datasets()
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_list.py", line 76, in list_datasets
    _all = self.list_all(ds)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_list.py", line 250, in list_all
    1] if "DHCP" not in full_ip4 else "DHCP" 
IndexError: list index out of range
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 154, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1013, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 950, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
IndexError: list index out of range
Installed plugins.png (61.8 KB) Installed plugins.png Jeff Ervin, 09/21/2018 12:39 PM
Installed plugins 2.png (22.4 KB) Installed plugins 2.png Jeff Ervin, 09/21/2018 01:07 PM
iocage list error.jpg (225 KB) iocage list error.jpg Christopher Manns, 11/17/2018 11:37 AM
Blank Gui.jpg (136 KB) Blank Gui.jpg Christopher Manns, 11/17/2018 11:37 AM
pool view.jpg (138 KB) pool view.jpg Christopher Manns, 11/17/2018 11:39 AM
31241
31245
41148
41154
41163

Related issues

Related to FreeNAS - Bug #51689: list index out of range when creating jailClosed

History

#1 Updated by Dru Lavigne about 2 years ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Release Council to William Grzybowski

#2 Updated by William Grzybowski about 2 years ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to 11.2-RC1
  • Severity changed from New to Medium

Brandon thinks this might have been fixed for upcoming BETA3, we will investigate for RC1. If it keeps happening in BETA3 let us know, please.

#3 Updated by Brandon Schneider about 2 years ago

  • Status changed from Unscreened to Blocked
  • Reason for Blocked set to Waiting for feedback

#4 Updated by William Grzybowski about 2 years ago

  • Status changed from Blocked to Unscreened
  • Private changed from No to Yes
  • Reason for Blocked deleted (Waiting for feedback)

Brandon, this also happens on BETA3

[2018/09/11 05:26:53] (WARNING) application.call_method():182 - Exception while calling jail.list_resource(*['PLUGIN'])
concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 372, in list_resource
    resource_list = iocage.list("all", plugin=True)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1143, in list
    quick=quick
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_list.py", line 75, in list_datasets
    _all = self.list_all(ds)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_list.py", line 249, in list_all
    0] if "DHCP" not in full_ip4 else "DHCP" 
IndexError: list index out of range

https://sentry.ixsystems.com/ixsystems/freenas-middleware/issues/14590/

#5 Updated by Brandon Schneider about 2 years ago

  • Status changed from Unscreened to Not Started

#6 Updated by Brandon Schneider about 2 years ago

  • Status changed from Not Started to In Progress

#7 Updated by Brandon Schneider about 2 years ago

#8 Updated by Brandon Schneider about 2 years ago

  • Status changed from In Progress to Ready for Testing
  • Needs Merging changed from Yes to No

#9 Updated by Dru Lavigne about 2 years ago

  • Subject changed from Installed plugin GUI error to Fix "list index out of range" error when listing plugins installed in a previous version
  • Private changed from Yes to No
  • Needs Doc changed from Yes to No

#10 Updated by Jeff Ervin about 2 years ago

31241

Test Passed FreeNAS-11.2-MASTER-201809210904

#11 Updated by Jeff Ervin about 2 years ago

31245

Installed Plex on fn07, updated to most recent nightly. See attached...

#12 Updated by Dru Lavigne about 2 years ago

  • Status changed from Passed Testing to Done

#13 Updated by Dru Lavigne almost 2 years ago

  • Related to Bug #51689: list index out of range when creating jail added

#14 Updated by Christopher Manns almost 2 years ago

41148
41154
41163

#15 Updated by Brandon Schneider almost 2 years ago

Chris: That’s a different traceback and was fixed in #47151 a while back.

#16 Updated by Christopher Manns almost 2 years ago

Ah, nuts. Sorry about that Brandon. The issue isn't fixed and I'll replicate the update there.

#17 Updated by Brandon Schneider almost 2 years ago

No sorry needed! Thanks for the additional testing :)

Also available in: Atom PDF